Subject: bug#31726: closed (Re: [bug#32608] [PATCH] gnu: haskell-mode: Fix test failure.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Sep 2018 15:09:02 +0000

Your bug report

#31726: haskell-mode fails to build with (at least) Emacs 26.1

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31726: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31726
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#32608] [PATCH] gnu: haskell-mode: Fix test failure.
From: [email-masked] (Ludovic Courtès)
To: Alex Vong <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 02 Sep 2018 17:08:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Alex,

Alex Vong <[email-masked]> skribis:

> I manage to fix all test failures of haskell-mode (which FTBFS for a
> long time). I use Jack's bug report
> <https://github.com/haskell/haskell-mode/issues/1601> as a starting
> point and continue from there. The fix consists of backporting 2 commits
> from upstream and hard-coding the filename in the tests. (This is okay
> since the tests will not be installed.) 

Awesome.

> Let's write some Haskell for good (`･ω･´)

:-)

> From 99fefcd43adbe8effe24480e64f9fa0b461b8fe5 Mon Sep 17 00:00:00 2001
> From: Alex Vong <[email-masked]>
> Date: Sun, 2 Sep 2018 07:47:05 +0800
> Subject: [PATCH] gnu: haskell-mode: Fix test failure.
>
> Thanks to Jack Hill <[email-masked]> for exploring differnt solutions
> at <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=31726>.
>
> * gnu/packages/patches/haskell-mode-Removed-unused-lexical-variables.patch,
> gnu/packages/patches/haskell-mode-removed-check-conventions-from-make.patch:
> New files.
> * gnu/local.mk (dist_patch_DATA): Add them.
> * gnu/packages/emacs.scm (haskell-mode)[source]: Use them.
> [arguments]: Adjust 'pre-build' phase to embed filename.

I’ve shorted the patch file names as suggested by ‘guix lint’, added a
“Fixes” line in the commit log, and applied.

Thanks to both of you!

Ludo’.

Subject: haskell-mode fails to build with (at least) Emacs 26.1
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Tue, 5 Jun 2018 12:27:14 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm running guix (GNU Guix) 19b662ea7c53a28270a783f10ca033d8c9d2a954, and 
have /gnu/store/s32nba6rxx9x2kibsn6wsm1ixzhv64nl-emacs-26.1 installed. 
When I then try to install haskell-mode with

   guix package -i haskell-mode

the derivation build fails with

   haskell-process.el:160:1:Error: Unused lexical variable ‘move-point-in-windows’

This is the same error as a failed build on Hydra[0].

I have opened an upstream bug report[1], but have not yet done more 
troubleshooting.

Best,
Jack

[0] https://hydra.gnu.org/build/2766429/nixlog/1
[1] https://github.com/haskell/haskell-mode/issues/1601